#
# spec file for package libglade (Version 0.16)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  audiofile autoconf automake esound esound-devel gdk-pixbuf gdk-pixbuf-devel glib glib-devel gnome-libs gnome-libs-devel gnome-print gtk gtk-devel imlib imlib-devel indent libjpeg libpng libtiff libungif libxml libxml-devel orbit orbit-devel xf86 xpm
# usedforbuild    aaa_base aaa_dir audiofile autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs esound esound-devel file fileutils findutils flex gawk gcc gdbm gdbm-devel gdk-pixbuf gdk-pixbuf-devel gettext glib glib-devel glibc glibc-devel gnome-libs gnome-libs-devel gnome-print gpm gppshare grep groff gtk gtk-devel gzip imlib imlib-devel indent kbd less libjpeg libpng libtiff libtool libungif libxml libxml-devel libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg orbit orbit-devel pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xshared

Name:         libglade
%define prefix	/opt/gnome
Copyright:    LGPL
Requires:     gtk libxml orbit gdk-pixbuf gnome-libs
Obsoletes:    libglad
Provides:     libglad
Autoreqprov:  on
Summary:      A library for dynamic Gtk+/GNOME UI generation
Group:        X11/GNOME/Base
Version:      0.16
Release:      240
Source:	      ftp://ftp.gnome.org/pub/GNOME/stable/sources/libglade/libglade-%{version}.tar.bz2
Patch:        libglade-intl.dif
URL:	      http://www.daa.com.au/~james/gnome/
BuildRoot:    /var/tmp/libglade-%{version}-root

%description
This library allows you to load glade interface files in a program at runtime.
It doesn't require GLADE to be used, but GLADE is by far the easiest way to
create the interface files.  For an idea of how to use the library, see the
documentation, especially /usr/share/doc/packages/libglade/test-libgladee.c and
also glade-xml.h include, that is in the libgladed package.

Authors:
--------
    James Henstridge <james@daa.com.au>
    Richard Hestilow <hestgray@ionet.net>
    Michael Meeks <michael@edenproject.org>
    Erik Walthinsen <omega@cse.ogi>

SuSE series: xdev

%package devel
Requires:     gtk-devel glib-devel libxml-devel libglade gnome-libs-devel orbit-devel oaf 
Obsoletes:    libgladd
Provides:     libgladd
Summary:      libglade library (development)
Group:	      X11/GNOME/Development
Autoreqprov:  on

%description devel
This package contains the part of libglade, you need for development;
see also libglad package.

Authors:
--------
    James Henstridge <james@daa.com.au>
    Richard Hestilow <hestgray@ionet.net>
    Michael Meeks <michael@edenproject.org>
    Erik Walthinsen <omega@cse.ogi

SuSE series: xdev

%prep
%setup -q

%build
%{?suse_update_config:%{suse_update_config -f }}
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=%prefix 
make

%install
make install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc AUTHORS NEWS README COPYING
%{prefix}/lib/lib*.so.*

%files devel
%defattr(-, root, root)
%{prefix}/bin/*
%{prefix}/lib/lib*.so
%{prefix}/lib/*a
%{prefix}/include/glade/*
%{prefix}/share/aclocal/*
%{prefix}/lib/libgladeConf.sh
%doc test-libglade.c
%doc *.glade
%doc %{prefix}/share/gnome/html/libglade

%changelog -n libglade
* Wed May 23 2001 - nadvornik@suse.cz
- used suse_update_config
* Wed Mar 21 2001 - ro@suse.de
- added esound/esound-devel to neededforbuild
* Thu Feb 15 2001 - ke@suse.de
- Update to version 0.16.
* Mon Dec 25 2000 - egger@suse.de
- Cleaned up specfile even more and removed dependencies.
- Bzipped sourcecode.
- Changed group tag of development package.
* Tue Dec 19 2000 - hhetter@suse.de
- specfile cleanups, removed bonobo requirements
* Fri Nov 24 2000 - ke@suse.de
- Remove hardcode CFLAGS setting.
* Fri Nov 24 2000 - ke@suse.de
- Update to version 0.15.
- Fix spec file: Obsoletes and Provides.  %%setup -q.
* Wed Nov 01 2000 - egger@suse.de
- Updated specfile to new long packagenames.
- Reworked specfile.
- Probably needs some more work; I'm taking care of that.
* Sun Oct 01 2000 - egger@suse.de
- Remove glade from #neededforbuild.
* Mon Sep 25 2000 - ro@suse.de
- added BuildRoot
* Mon Sep 25 2000 - ro@suse.de
- fixed neededforbuild
* Mon Sep 11 2000 - egger@suse.de
- Correct specfile.
* Wed Sep 06 2000 - egger@suse.de
- Added GNOME support.
- Added bonobo support.
- Cleaned up spec file.
* Wed Jul 19 2000 - ke@suse.de
- Update to version 0.14.
* Mon May 22 2000 - ke@suse.de
- Update to version 0.13.
- Use DESTDIR.
* Wed Mar 15 2000 - ke@suse.de
- Update to version 0.12.
- ./configure -> %%build.
* Thu Dec 09 1999 - ke@suse.de
- Update: 0.11 (another bugfix release).
* Thu Dec 02 1999 - ke@suse.de
- Update: 0.9.
* Sat Oct 02 1999 - ke@suse.de
- Update: 0.7 (bug fix release).
- spec file: provide libglade-devel.
* Mon Sep 27 1999 - bs@suse.de
- fixed requirements for sub packages
* Fri Sep 24 1999 - ke@suse.de
- Update: version 0.6.
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Thu Sep 09 1999 - bs@suse.de
- fixed call of Check at the end of %%install section
* Sat Jul 17 1999 - mt@suse.de
- fixed Requires-fields in spec file
* Tue Jul 13 1999 - bs@suse.de
- use gtk and glib instead of gtkn and glibn
* Sat Jul 10 1999 - ke@suse.de
- Initial package: version 0.2.
